//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <gl\glaux.h>
#include <fastmath.h>
#include <windows.h>
#include <sysdyn.h>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
     TTimer *Timer2;
     TTimer *Timer1;
        TEdit *Edit1;
        TPopupMenu *PopupMenu1;
        TMenuItem *rot;
        TMenuItem *N1;
        TMenuItem *N2;
        TMenuItem *N3;
     void __fastcall Timer2Timer(TObject *Sender);
     void __fastcall FormCreate(TObject *Sender);
     void __fastcall FormPaint(TObject *Sender);
     void __fastcall FormDestroy(TObject *Sender);
     void __fastcall SetPixelFormatDescr();
     void __fastcall Perspective();
     void __fastcall Light();
     int  __fastcall sgn(GLfloat argument);
     void __fastcall DrawScene();
     void __fastcall SetupTextures();
     float __fastcall glSrfFunc(float x, float y);
     void __fastcall Panel1MouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
     void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall rotClick(TObject *Sender);
        void __fastcall N1Click(TObject *Sender);
        void __fastcall N3Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
     __fastcall TForm1(TComponent* Owner);
        void __fastcall IdleLoop(TObject*, bool& done);
        int PixelFormat;
        Graphics::TBitmap* bitmap;
        HDC hdc;
        HGLRC hrc;

        GLuint startoflist, fps, formnum, tnum;
        GLsizei size;
        GLfloat w, h,
        nRange,
        hx, hy, hz,
        atx, aty, atz,
        Near, Far,
        alf, tht;

     int ox, oy, sx, sy, ka, nrt;
     float st, dt,

        a, b, c, t;

     struct
     {
     char r,g,b;
     } ntcl;

     DynamicArray<GLuint> tex;
     GLenum mode;
     bool draw;
     GLUquadricObj *Objects3D[2];
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
